# bob

Bob is a small static generator, for those who wants to maintain a personal
website or blog, all from the command line.

## Installation

It only is designed in bash script, and should work perfectly fine on any Unix
like machine.

```
git clone https://git.simonpetit.top/simonpetit/bob
cd bob
make test
sudo make install
```

or using Docker : 

```
docker pull git.simonpetit.top/simonpetit/bob:0.1.0
```

## Usage

### Publish : to convert a drafts in markdown into a html article 

To write a post, create a markdown file in the `drafts` folder whose name will
also be its title, and convert it to an html file, type the following command
from the root :

```
bob publish ./drafts/<article_file>
```

Note that the article does not have to have a particular extension, however
it will be placed in the `draft/published` folder with the `.md` extension.
It will also update the `index.html` to add this newly article into its list.

### Unpublish : to remove a published article

```
bob unpublish ./posts/<article_file>
```

This will remove the html file from the `posts` folder, and put back the draft from 
`./draft/published` into the `./draft` folder.

### Help

See the help for additional command, such as modification of the main configuration
of the blog.

```
bob help
```

## TODO

* Make a proper header/footer for the posts (e.g. adding links to social networks
  such as tweeter, github, dev.to ...).
* Complete the CSS files.
* Add a comment/like section ?
* Consider adding configuration files for some/all posts (if they
  need special javascript included e.g. MathJax, AJAX, sockets ...).
